<!DOCTYPE html>
<head>
    <title>tetris</title>
</head>
    <body>
        <canvas id="tetris" width="200" height="400" style="border-color: black; border-width:1em;"></canvas>
        <p>hi</p>
        <p style="color:red;">I am red</p>
        <p style="color:blue;">I am blue</p>
        <p style="font-size:50px;">I am big</p>
    </body>

</html>


<script>
const cvs = document.getElementById('tetris')
const ctx = cvs.getContext('2d')
const ROW = 20
const COL = 10
const SQ = squareSize = 20
const VACANT = "WHITE"
 
function drawSquare(x,y,color){
    ctx.fillStyle = color
    ctx.fillRect(x*SQ,y*SQ,SQ,SQ)
    ctx.strokeStyle = "BLACK"
    ctx.strokeRect(x*SQ,y*SQ,SQ,SQ)

}

drawSquare(1,1,"GREEN")

let board = []

for(var r = 0; r < ROW; r++){
    board[r] = []
    for(var c = 0; c < COL; c++){
        board[r][c] = VACANT
    }
}

function drawBoard(board){
    for(var r = 0; r < ROW; r++){
        board[r] = []
        for(var c = 0; c < COL; c++){
            drawSquare(r,c,VACANT)
        }
    }
}

drawBoard(board)

</script>